var Validation = {
    isEmpty : function ( objInput){
        return objInput.value.isEmpty();
    },

    getIntValue : function( objInput){
        return parseInt( objInput.value);
    },


    getFloatValue : function ( objInput){
        return parseFloat( objInput.value);
    },

    isInt : function ( objInput){
        var is = false;
        try{
            is = !isNaN( Validation.getIntValue( objInput)) && objInput.value.indexOf(".")==-1;
        }catch(e){}
        return is;
    },

    isFloat : function ( objInput){
        var is = false;
        try{
            is = !isNaN( Validation.getFloatValue( objInput));
        }catch(e){}
        return is;
    },

    isIntAndPositiv : function ( objInput){
        return isInt( objInput) && objInput.value > 0;
    },

    isIntAndNotNegativ : function ( objInput){
        return isInt( objInput) && objInput.value >= 0;
    },

    isFloatAndNotNegativ : function ( objInput){
        return isFloat( objInput) && objInput.value >= 0;
    },

    setFocus : function ( objInput){
        try{
            objInput.focus();
            objInput.select();
        }catch(e) {}
    },

    validate : function ( objInput, isValidFunction, message){
        var isValid = false;
        try{
            isValid = isValidFunction( objInput)
        }catch(e){alert( 'Eroare la validare ' + objInput + "; mesaj : " + e.message)}

        var ok = true;
        if( !isValid ){
            alert( message);
            setFocus( objInput);
            ok = false;
        }
        return ok;
    },

    batchValidation : function(){
        var isValid = true;
        for(var i=0; i < arguments.length && (isValid = arguments[i]()) ; i++){
        }
        return isValid;
    }
};
